SDL_RemoveSurfaceAlternateImages(3)

NAME
SDL_RemoveSurfaceAlternateImages - Remove all alternate versions of a surface.

SYNOPSIS
#include <SDL3/SDL_surface.h>

void SDL_RemoveSurfaceAlternateImages(SDL_Surface *surface);

DESCRIPTION
This function removes a reference from all the alternative versions, destroying them if this is the last reference to them.

FUNCTION PARAMETERS

surface
    the SDL_Surface structure to update.

THREAD SAFETY
This function can be called on different threads with different surfaces.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_AddSurfaceAlternateImage(3), SDL_GetSurfaceImages(3), SDL_SurfaceHasAlternateImages(3)